# AccountApi

All URIs are relative to *https://lichess.org*

Method | HTTP request | Description
------------- | ------------- | -------------
[**account**](AccountApi.md#account) | **GET** /api/account/preferences | Get my preferences
[**accountEmail**](AccountApi.md#accountEmail) | **GET** /api/account/email | Get my email address
[**accountKid**](AccountApi.md#accountKid) | **GET** /api/account/kid | Get my kid mode status
[**accountKidPost**](AccountApi.md#accountKidPost) | **POST** /api/account/kid | Set my kid mode status
[**accountMe**](AccountApi.md#accountMe) | **GET** /api/account | Get my profile


<a name="account"></a>
# **account**
> kotlin.Any account()

Get my preferences

Read the preferences of the logged in user.  - &lt;https://lichess.org/account/preferences/game-display&gt; - &lt;https://github.com/ornicar/lila/blob/master/modules/pref/src/main/Pref.scala&gt; 

### Example
```kotlin
// Import classes:
//import org.openapitools.client.infrastructure.*
//import org.openapitools.client.models.*

val apiInstance = AccountApi()
try {
    val result : kotlin.Any = apiInstance.account()
    println(result)
} catch (e: ClientException) {
    println("4xx response calling AccountApi#account")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling AccountApi#account")
    e.printStackTrace()
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**kotlin.Any**](kotlin.Any.md)

### Authorization


Configure OAuth2:
    ApiClient.accessToken = ""

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="accountEmail"></a>
# **accountEmail**
> kotlin.Any accountEmail()

Get my email address

Read the email address of the logged in user. 

### Example
```kotlin
// Import classes:
//import org.openapitools.client.infrastructure.*
//import org.openapitools.client.models.*

val apiInstance = AccountApi()
try {
    val result : kotlin.Any = apiInstance.accountEmail()
    println(result)
} catch (e: ClientException) {
    println("4xx response calling AccountApi#accountEmail")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling AccountApi#accountEmail")
    e.printStackTrace()
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**kotlin.Any**](kotlin.Any.md)

### Authorization


Configure OAuth2:
    ApiClient.accessToken = ""

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="accountKid"></a>
# **accountKid**
> kotlin.Any accountKid()

Get my kid mode status

Read the kid mode status of the logged in user.  - &lt;https://lichess.org/account/kid&gt; 

### Example
```kotlin
// Import classes:
//import org.openapitools.client.infrastructure.*
//import org.openapitools.client.models.*

val apiInstance = AccountApi()
try {
    val result : kotlin.Any = apiInstance.accountKid()
    println(result)
} catch (e: ClientException) {
    println("4xx response calling AccountApi#accountKid")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling AccountApi#accountKid")
    e.printStackTrace()
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**kotlin.Any**](kotlin.Any.md)

### Authorization


Configure OAuth2:
    ApiClient.accessToken = ""

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="accountKidPost"></a>
# **accountKidPost**
> Ok accountKidPost(v)

Set my kid mode status

Set the kid mode status of the logged in user.  - &lt;https://lichess.org/account/kid&gt; 

### Example
```kotlin
// Import classes:
//import org.openapitools.client.infrastructure.*
//import org.openapitools.client.models.*

val apiInstance = AccountApi()
val v : kotlin.Boolean = true // kotlin.Boolean | Kid mode status
try {
    val result : Ok = apiInstance.accountKidPost(v)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling AccountApi#accountKidPost")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling AccountApi#accountKidPost")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **v** | **kotlin.Boolean**| Kid mode status |

### Return type

[**Ok**](Ok.md)

### Authorization


Configure OAuth2:
    ApiClient.accessToken = ""

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="accountMe"></a>
# **accountMe**
> UserExtended accountMe()

Get my profile

Public informations about the logged in user. 

### Example
```kotlin
// Import classes:
//import org.openapitools.client.infrastructure.*
//import org.openapitools.client.models.*

val apiInstance = AccountApi()
try {
    val result : UserExtended = apiInstance.accountMe()
    println(result)
} catch (e: ClientException) {
    println("4xx response calling AccountApi#accountMe")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling AccountApi#accountMe")
    e.printStackTrace()
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**UserExtended**](UserExtended.md)

### Authorization


Configure OAuth2:
    ApiClient.accessToken = ""

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

