# MessagingApi

All URIs are relative to *https://lichess.org*

Method | HTTP request | Description
------------- | ------------- | -------------
[**inboxUsername**](MessagingApi.md#inboxUsername) | **POST** /inbox/{username} | Send a private message


<a name="inboxUsername"></a>
# **inboxUsername**
> Ok inboxUsername(username, text)

Send a private message

Send a private message to another player. 

### Example
```kotlin
// Import classes:
//import org.openapitools.client.infrastructure.*
//import org.openapitools.client.models.*

val apiInstance = MessagingApi()
val username : kotlin.String = someplayer // kotlin.String | 
val text : kotlin.String = text_example // kotlin.String | 
try {
    val result : Ok = apiInstance.inboxUsername(username, text)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling MessagingApi#inboxUsername")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling MessagingApi#inboxUsername")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **kotlin.String**|  |
 **text** | **kotlin.String**|  |

### Return type

[**Ok**](Ok.md)

### Authorization


Configure OAuth2:
    ApiClient.accessToken = ""

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json

