# RelationsApi

All URIs are relative to *https://lichess.org*

Method | HTTP request | Description
------------- | ------------- | -------------
[**apiUserFollowing**](RelationsApi.md#apiUserFollowing) | **GET** /api/rel/following | Get users followed the logged in user
[**followUser**](RelationsApi.md#followUser) | **POST** /api/rel/follow/{username} | Follow a player
[**unfollowUser**](RelationsApi.md#unfollowUser) | **POST** /api/rel/unfollow/{username} | Unfollow a player


<a name="apiUserFollowing"></a>
# **apiUserFollowing**
> UserExtended apiUserFollowing()

Get users followed the logged in user

Users are streamed as [ndjson](#section/Introduction/Streaming-with-ND-JSON). 

### Example
```kotlin
// Import classes:
//import org.openapitools.client.infrastructure.*
//import org.openapitools.client.models.*

val apiInstance = RelationsApi()
try {
    val result : UserExtended = apiInstance.apiUserFollowing()
    println(result)
} catch (e: ClientException) {
    println("4xx response calling RelationsApi#apiUserFollowing")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling RelationsApi#apiUserFollowing")
    e.printStackTrace()
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**UserExtended**](UserExtended.md)

### Authorization


Configure OAuth2:
    ApiClient.accessToken = ""

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/x-ndjson

<a name="followUser"></a>
# **followUser**
> Ok followUser(username)

Follow a player

Follow a player, adding them to your list of Lichess friends. 

### Example
```kotlin
// Import classes:
//import org.openapitools.client.infrastructure.*
//import org.openapitools.client.models.*

val apiInstance = RelationsApi()
val username : kotlin.String = thibault // kotlin.String | 
try {
    val result : Ok = apiInstance.followUser(username)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling RelationsApi#followUser")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling RelationsApi#followUser")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **kotlin.String**|  |

### Return type

[**Ok**](Ok.md)

### Authorization


Configure OAuth2:
    ApiClient.accessToken = ""

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="unfollowUser"></a>
# **unfollowUser**
> Ok unfollowUser(username)

Unfollow a player

Unfollow a player, removing them from your list of Lichess friends. 

### Example
```kotlin
// Import classes:
//import org.openapitools.client.infrastructure.*
//import org.openapitools.client.models.*

val apiInstance = RelationsApi()
val username : kotlin.String = thibault // kotlin.String | 
try {
    val result : Ok = apiInstance.unfollowUser(username)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling RelationsApi#unfollowUser")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling RelationsApi#unfollowUser")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **kotlin.String**|  |

### Return type

[**Ok**](Ok.md)

### Authorization


Configure OAuth2:
    ApiClient.accessToken = ""

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

