# TablebaseApi

All URIs are relative to *https://lichess.org*

Method | HTTP request | Description
------------- | ------------- | -------------
[**antichessAtomic**](TablebaseApi.md#antichessAtomic) | **GET** /antichess | Tablebase lookup for Antichess
[**tablebaseAtomic**](TablebaseApi.md#tablebaseAtomic) | **GET** /atomic | Tablebase lookup for Atomic chess
[**tablebaseStandard**](TablebaseApi.md#tablebaseStandard) | **GET** /standard | Tablebase lookup


<a name="antichessAtomic"></a>
# **antichessAtomic**
> kotlin.String antichessAtomic()

Tablebase lookup for Antichess

### Example
```kotlin
// Import classes:
//import org.openapitools.client.infrastructure.*
//import org.openapitools.client.models.*

val apiInstance = TablebaseApi()
try {
    val result : kotlin.String = apiInstance.antichessAtomic()
    println(result)
} catch (e: ClientException) {
    println("4xx response calling TablebaseApi#antichessAtomic")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling TablebaseApi#antichessAtomic")
    e.printStackTrace()
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

**kotlin.String**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: text/plain

<a name="tablebaseAtomic"></a>
# **tablebaseAtomic**
> kotlin.String tablebaseAtomic()

Tablebase lookup for Atomic chess

### Example
```kotlin
// Import classes:
//import org.openapitools.client.infrastructure.*
//import org.openapitools.client.models.*

val apiInstance = TablebaseApi()
try {
    val result : kotlin.String = apiInstance.tablebaseAtomic()
    println(result)
} catch (e: ClientException) {
    println("4xx response calling TablebaseApi#tablebaseAtomic")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling TablebaseApi#tablebaseAtomic")
    e.printStackTrace()
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

**kotlin.String**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: text/plain

<a name="tablebaseStandard"></a>
# **tablebaseStandard**
> TablebaseJson tablebaseStandard(fen)

Tablebase lookup

**Endpoint: &lt;https://tablebase.lichess.ovh&gt;**  Example: &#x60;curl http://tablebase.lichess.ovh/standard?fen&#x3D;4k3/6KP/8/8/8/8/7p/8_w_-_-_0_1&#x60; 

### Example
```kotlin
// Import classes:
//import org.openapitools.client.infrastructure.*
//import org.openapitools.client.models.*

val apiInstance = TablebaseApi()
val fen : kotlin.String = fen_example // kotlin.String | FEN of the position. Underscores allowed.
try {
    val result : TablebaseJson = apiInstance.tablebaseStandard(fen)
    println(result)
} catch (e: ClientException) {
    println("4xx response calling TablebaseApi#tablebaseStandard")
    e.printStackTrace()
} catch (e: ServerException) {
    println("5xx response calling TablebaseApi#tablebaseStandard")
    e.printStackTrace()
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fen** | **kotlin.String**| FEN of the position. Underscores allowed. |

### Return type

[**TablebaseJson**](TablebaseJson.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

