/**
 * Lichess.org API reference
 *
 * # Introduction Welcome to the reference for the Lichess API! Lichess is free/libre, open-source chess server powered by volunteers and donations. - Get help in the [Lichess Discord channel](https://discord.gg/lichess) - [Contribute to this documentation on Github](https://github.com/lichess-org/api) - Check out [Lichess widgets to embed in your website](https://lichess.org/developers) - [Download all Lichess rated games](https://database.lichess.org/) - [Download all Lichess puzzles with themes, ratings and votes](https://database.lichess.org/#puzzles)  ## Endpoint All requests go to `https://lichess.org` (unless otherwise specified).  ## Clients - [Python general API](https://github.com/ZackClements/berserk) - [MicroPython general API](https://github.com/mkomon/uberserk) - [Python general API - async](https://pypi.org/project/async-lichess-sdk) - [Python Lichess Bot](https://github.com/careless25/lichess-bot) - [Python Board API for Certabo](https://github.com/haklein/certabo-lichess) - [Java general API](https://github.com/tors42/chariot)  ## Rate limiting All requests are rate limited using various strategies, to ensure the API remains responsive for everyone. Only make one request at a time. If you receive an HTTP response with a [429 status](https://en.wikipedia.org/wiki/List_of_HTTP_status_codes#429), please wait a full minute before resuming API usage.  ## Streaming with ND-JSON Some API endpoints stream their responses as [Newline Delimited JSON a.k.a. **nd-json**](http://ndjson.org/), with one JSON object per line.  Here's a [JavaScript utility function](https://gist.github.com/ornicar/a097406810939cf7be1df8ea30e94f3e) to help reading NDJSON streamed responses. 
 *
 * The version of the OpenAPI document: 2.0.0
 * 
 *
 * Please note:
 * This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * Do not edit this file manually.
 */

@file:Suppress(
    "ArrayInDataClass",
    "EnumEntryName",
    "RemoveRedundantQualifierName",
    "UnusedImport"
)

package org.openapitools.client.models

import org.openapitools.client.models.ChallengeJsonPerf
import org.openapitools.client.models.ChallengeUser
import org.openapitools.client.models.Speed
import org.openapitools.client.models.TimeControl
import org.openapitools.client.models.Variant

import com.squareup.moshi.Json

/**
 * 
 *
 * @param id 
 * @param url 
 * @param status 
 * @param challenger 
 * @param destUser 
 * @param variant 
 * @param rated 
 * @param speed 
 * @param timeControl 
 * @param color 
 * @param perf 
 * @param direction 
 * @param initialFen 
 * @param declineReason 
 */

data class ChallengeJson (

    @Json(name = "id")
    val id: kotlin.String,

    @Json(name = "url")
    val url: kotlin.String,

    @Json(name = "status")
    val status: ChallengeJson.Status,

    @Json(name = "challenger")
    val challenger: ChallengeUser,

    @Json(name = "destUser")
    val destUser: ChallengeUser,

    @Json(name = "variant")
    val variant: Variant,

    @Json(name = "rated")
    val rated: kotlin.Boolean,

    @Json(name = "speed")
    val speed: Speed,

    @Json(name = "timeControl")
    val timeControl: TimeControl,

    @Json(name = "color")
    val color: ChallengeJson.Color,

    @Json(name = "perf")
    val perf: ChallengeJsonPerf,

    @Json(name = "direction")
    val direction: ChallengeJson.Direction? = null,

    @Json(name = "initialFen")
    val initialFen: kotlin.String? = null,

    @Json(name = "declineReason")
    val declineReason: kotlin.String? = null

) {

    /**
     * 
     *
     * Values: created,offline,canceled,declined,accepted
     */
    enum class Status(val value: kotlin.String) {
        @Json(name = "created") created("created"),
        @Json(name = "offline") offline("offline"),
        @Json(name = "canceled") canceled("canceled"),
        @Json(name = "declined") declined("declined"),
        @Json(name = "accepted") accepted("accepted");
    }
    /**
     * 
     *
     * Values: white,black,random
     */
    enum class Color(val value: kotlin.String) {
        @Json(name = "white") white("white"),
        @Json(name = "black") black("black"),
        @Json(name = "random") random("random");
    }
    /**
     * 
     *
     * Values: `in`,`out`
     */
    enum class Direction(val value: kotlin.String) {
        @Json(name = "in") `in`("in"),
        @Json(name = "out") `out`("out");
    }
}

