/**
 * Lichess.org API reference
 *
 * # Introduction Welcome to the reference for the Lichess API! Lichess is free/libre, open-source chess server powered by volunteers and donations. - Get help in the [Lichess Discord channel](https://discord.gg/lichess) - [Contribute to this documentation on Github](https://github.com/lichess-org/api) - Check out [Lichess widgets to embed in your website](https://lichess.org/developers) - [Download all Lichess rated games](https://database.lichess.org/) - [Download all Lichess puzzles with themes, ratings and votes](https://database.lichess.org/#puzzles)  ## Endpoint All requests go to `https://lichess.org` (unless otherwise specified).  ## Clients - [Python general API](https://github.com/ZackClements/berserk) - [MicroPython general API](https://github.com/mkomon/uberserk) - [Python general API - async](https://pypi.org/project/async-lichess-sdk) - [Python Lichess Bot](https://github.com/careless25/lichess-bot) - [Python Board API for Certabo](https://github.com/haklein/certabo-lichess) - [Java general API](https://github.com/tors42/chariot)  ## Rate limiting All requests are rate limited using various strategies, to ensure the API remains responsive for everyone. Only make one request at a time. If you receive an HTTP response with a [429 status](https://en.wikipedia.org/wiki/List_of_HTTP_status_codes#429), please wait a full minute before resuming API usage.  ## Streaming with ND-JSON Some API endpoints stream their responses as [Newline Delimited JSON a.k.a. **nd-json**](http://ndjson.org/), with one JSON object per line.  Here's a [JavaScript utility function](https://gist.github.com/ornicar/a097406810939cf7be1df8ea30e94f3e) to help reading NDJSON streamed responses. 
 *
 * The version of the OpenAPI document: 2.0.0
 * 
 *
 * Please note:
 * This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * Do not edit this file manually.
 */

@file:Suppress(
    "ArrayInDataClass",
    "EnumEntryName",
    "RemoveRedundantQualifierName",
    "UnusedImport"
)

package org.openapitools.client.models

import org.openapitools.client.models.GameJsonAnalysis
import org.openapitools.client.models.GameJsonClock
import org.openapitools.client.models.GameJsonOpening
import org.openapitools.client.models.GameJsonPlayers
import org.openapitools.client.models.GameStatus
import org.openapitools.client.models.Speed
import org.openapitools.client.models.VariantKey

import com.squareup.moshi.Json

/**
 * 
 *
 * @param id 
 * @param rated 
 * @param variant 
 * @param speed 
 * @param perf 
 * @param createdAt 
 * @param lastMoveAt 
 * @param status 
 * @param players 
 * @param initialFen 
 * @param winner 
 * @param opening 
 * @param moves 
 * @param pgn 
 * @param daysPerTurn 
 * @param analysis 
 * @param tournament 
 * @param swiss 
 * @param clock 
 */

data class GameJson (

    @Json(name = "id")
    val id: kotlin.String,

    @Json(name = "rated")
    val rated: kotlin.Boolean,

    @Json(name = "variant")
    val variant: VariantKey = VariantKey.standard,

    @Json(name = "speed")
    val speed: Speed,

    @Json(name = "perf")
    val perf: kotlin.String,

    @Json(name = "createdAt")
    val createdAt: java.math.BigDecimal,

    @Json(name = "lastMoveAt")
    val lastMoveAt: java.math.BigDecimal,

    @Json(name = "status")
    val status: GameStatus,

    @Json(name = "players")
    val players: GameJsonPlayers,

    @Json(name = "initialFen")
    val initialFen: kotlin.String? = null,

    @Json(name = "winner")
    val winner: GameJson.Winner? = null,

    @Json(name = "opening")
    val opening: GameJsonOpening? = null,

    @Json(name = "moves")
    val moves: kotlin.String? = null,

    @Json(name = "pgn")
    val pgn: kotlin.String? = null,

    @Json(name = "daysPerTurn")
    val daysPerTurn: java.math.BigDecimal? = null,

    @Json(name = "analysis")
    val analysis: kotlin.collections.List<GameJsonAnalysis>? = null,

    @Json(name = "tournament")
    val tournament: kotlin.String? = null,

    @Json(name = "swiss")
    val swiss: kotlin.String? = null,

    @Json(name = "clock")
    val clock: GameJsonClock? = null

) {

    /**
     * 
     *
     * Values: white,black
     */
    enum class Winner(val value: kotlin.String) {
        @Json(name = "white") white("white"),
        @Json(name = "black") black("black");
    }
}

