/**
 * Lichess.org API reference
 *
 * # Introduction Welcome to the reference for the Lichess API! Lichess is free/libre, open-source chess server powered by volunteers and donations. - Get help in the [Lichess Discord channel](https://discord.gg/lichess) - [Contribute to this documentation on Github](https://github.com/lichess-org/api) - Check out [Lichess widgets to embed in your website](https://lichess.org/developers) - [Download all Lichess rated games](https://database.lichess.org/) - [Download all Lichess puzzles with themes, ratings and votes](https://database.lichess.org/#puzzles)  ## Endpoint All requests go to `https://lichess.org` (unless otherwise specified).  ## Clients - [Python general API](https://github.com/ZackClements/berserk) - [MicroPython general API](https://github.com/mkomon/uberserk) - [Python general API - async](https://pypi.org/project/async-lichess-sdk) - [Python Lichess Bot](https://github.com/careless25/lichess-bot) - [Python Board API for Certabo](https://github.com/haklein/certabo-lichess) - [Java general API](https://github.com/tors42/chariot)  ## Rate limiting All requests are rate limited using various strategies, to ensure the API remains responsive for everyone. Only make one request at a time. If you receive an HTTP response with a [429 status](https://en.wikipedia.org/wiki/List_of_HTTP_status_codes#429), please wait a full minute before resuming API usage.  ## Streaming with ND-JSON Some API endpoints stream their responses as [Newline Delimited JSON a.k.a. **nd-json**](http://ndjson.org/), with one JSON object per line.  Here's a [JavaScript utility function](https://gist.github.com/ornicar/a097406810939cf7be1df8ea30e94f3e) to help reading NDJSON streamed responses. 
 *
 * The version of the OpenAPI document: 2.0.0
 * 
 *
 * Please note:
 * This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * Do not edit this file manually.
 */

@file:Suppress(
    "ArrayInDataClass",
    "EnumEntryName",
    "RemoveRedundantQualifierName",
    "UnusedImport"
)

package org.openapitools.client.models

import org.openapitools.client.models.GameStatus

import com.squareup.moshi.Json

/**
 * 
 *
 * @param moves Current moves in UCI format
 * @param wtime Integer of milliseconds White has left on the clock
 * @param btime Integer of milliseconds Black has left on the clock
 * @param winc Integer of White Fisher increment.
 * @param binc Integer of Black Fisher increment.
 * @param status 
 * @param winner Color of the winner, if any
 * @param wdraw true if white is offering draw, else omitted
 * @param bdraw true if black is offering draw, else omitted
 * @param wtakeback true if white is proposing takeback, else omitted
 * @param btakeback true if black is proposing takeback, else omitted
 */

data class GameStateEvent (

    /* Current moves in UCI format */
    @Json(name = "moves")
    val moves: kotlin.String,

    /* Integer of milliseconds White has left on the clock */
    @Json(name = "wtime")
    val wtime: kotlin.Int,

    /* Integer of milliseconds Black has left on the clock */
    @Json(name = "btime")
    val btime: kotlin.Int,

    /* Integer of White Fisher increment. */
    @Json(name = "winc")
    val winc: kotlin.Int,

    /* Integer of Black Fisher increment. */
    @Json(name = "binc")
    val binc: kotlin.Int,

    @Json(name = "status")
    val status: GameStatus,

    /* Color of the winner, if any */
    @Json(name = "winner")
    val winner: kotlin.String? = null,

    /* true if white is offering draw, else omitted */
    @Json(name = "wdraw")
    val wdraw: kotlin.Boolean? = null,

    /* true if black is offering draw, else omitted */
    @Json(name = "bdraw")
    val bdraw: kotlin.Boolean? = null,

    /* true if white is proposing takeback, else omitted */
    @Json(name = "wtakeback")
    val wtakeback: kotlin.Boolean? = null,

    /* true if black is proposing takeback, else omitted */
    @Json(name = "btakeback")
    val btakeback: kotlin.Boolean? = null

)

