/**
 * Lichess.org API reference
 *
 * # Introduction Welcome to the reference for the Lichess API! Lichess is free/libre, open-source chess server powered by volunteers and donations. - Get help in the [Lichess Discord channel](https://discord.gg/lichess) - [Contribute to this documentation on Github](https://github.com/lichess-org/api) - Check out [Lichess widgets to embed in your website](https://lichess.org/developers) - [Download all Lichess rated games](https://database.lichess.org/) - [Download all Lichess puzzles with themes, ratings and votes](https://database.lichess.org/#puzzles)  ## Endpoint All requests go to `https://lichess.org` (unless otherwise specified).  ## Clients - [Python general API](https://github.com/ZackClements/berserk) - [MicroPython general API](https://github.com/mkomon/uberserk) - [Python general API - async](https://pypi.org/project/async-lichess-sdk) - [Python Lichess Bot](https://github.com/careless25/lichess-bot) - [Python Board API for Certabo](https://github.com/haklein/certabo-lichess) - [Java general API](https://github.com/tors42/chariot)  ## Rate limiting All requests are rate limited using various strategies, to ensure the API remains responsive for everyone. Only make one request at a time. If you receive an HTTP response with a [429 status](https://en.wikipedia.org/wiki/List_of_HTTP_status_codes#429), please wait a full minute before resuming API usage.  ## Streaming with ND-JSON Some API endpoints stream their responses as [Newline Delimited JSON a.k.a. **nd-json**](http://ndjson.org/), with one JSON object per line.  Here's a [JavaScript utility function](https://gist.github.com/ornicar/a097406810939cf7be1df8ea30e94f3e) to help reading NDJSON streamed responses. 
 *
 * The version of the OpenAPI document: 2.0.0
 * 
 *
 * Please note:
 * This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * Do not edit this file manually.
 */

@file:Suppress(
    "ArrayInDataClass",
    "EnumEntryName",
    "RemoveRedundantQualifierName",
    "UnusedImport"
)

package org.openapitools.client.models


import com.squareup.moshi.Json

/**
 * 
 *
 * @param dark 
 * @param transp 
 * @param bgImg 
 * @param is3d 
 * @param theme 
 * @param pieceSet 
 * @param theme3d 
 * @param pieceSet3d 
 * @param soundSet 
 * @param blindfold 
 * @param autoQueen 
 * @param autoThreefold 
 * @param takeback 
 * @param moretime 
 * @param clockTenths 
 * @param clockBar 
 * @param clockSound 
 * @param premove 
 * @param animation 
 * @param captured 
 * @param follow 
 * @param highlight 
 * @param destination 
 * @param coords 
 * @param replay 
 * @param challenge 
 * @param message 
 * @param coordColor 
 * @param submitMove 
 * @param confirmResign 
 * @param insightShare 
 * @param keyboardMove 
 * @param zen 
 * @param moveEvent 
 * @param rookCastle 
 */

data class UserPreferences (

    @Json(name = "dark")
    val dark: kotlin.Boolean? = null,

    @Json(name = "transp")
    val transp: kotlin.Boolean? = null,

    @Json(name = "bgImg")
    val bgImg: java.net.URI? = null,

    @Json(name = "is3d")
    val is3d: kotlin.Boolean? = null,

    @Json(name = "theme")
    val theme: UserPreferences.Theme? = null,

    @Json(name = "pieceSet")
    val pieceSet: UserPreferences.PieceSet? = null,

    @Json(name = "theme3d")
    val theme3d: UserPreferences.Theme3d? = null,

    @Json(name = "pieceSet3d")
    val pieceSet3d: UserPreferences.PieceSet3d? = null,

    @Json(name = "soundSet")
    val soundSet: UserPreferences.SoundSet? = null,

    @Json(name = "blindfold")
    val blindfold: kotlin.Int? = null,

    @Json(name = "autoQueen")
    val autoQueen: kotlin.Int? = null,

    @Json(name = "autoThreefold")
    val autoThreefold: kotlin.Int? = null,

    @Json(name = "takeback")
    val takeback: kotlin.Int? = null,

    @Json(name = "moretime")
    val moretime: kotlin.Int? = null,

    @Json(name = "clockTenths")
    val clockTenths: kotlin.Int? = null,

    @Json(name = "clockBar")
    val clockBar: kotlin.Boolean? = null,

    @Json(name = "clockSound")
    val clockSound: kotlin.Boolean? = null,

    @Json(name = "premove")
    val premove: kotlin.Boolean? = null,

    @Json(name = "animation")
    val animation: kotlin.Int? = null,

    @Json(name = "captured")
    val captured: kotlin.Boolean? = null,

    @Json(name = "follow")
    val follow: kotlin.Boolean? = null,

    @Json(name = "highlight")
    val highlight: kotlin.Boolean? = null,

    @Json(name = "destination")
    val destination: kotlin.Boolean? = null,

    @Json(name = "coords")
    val coords: kotlin.Int? = null,

    @Json(name = "replay")
    val replay: kotlin.Int? = null,

    @Json(name = "challenge")
    val challenge: kotlin.Int? = null,

    @Json(name = "message")
    val message: kotlin.Int? = null,

    @Json(name = "coordColor")
    val coordColor: kotlin.Int? = null,

    @Json(name = "submitMove")
    val submitMove: kotlin.Int? = null,

    @Json(name = "confirmResign")
    val confirmResign: kotlin.Int? = null,

    @Json(name = "insightShare")
    val insightShare: kotlin.Int? = null,

    @Json(name = "keyboardMove")
    val keyboardMove: kotlin.Int? = null,

    @Json(name = "zen")
    val zen: kotlin.Int? = null,

    @Json(name = "moveEvent")
    val moveEvent: kotlin.Int? = null,

    @Json(name = "rookCastle")
    val rookCastle: kotlin.Int? = null

) {

    /**
     * 
     *
     * Values: blue,blue2,blue3,blueMinusMarble,canvas,wood,wood2,wood3,wood4,maple,maple2,brown,leather,green,marble,greenMinusPlastic,grey,metal,olive,newspaper,purple,purpleMinusDiag,pink,ic
     */
    enum class Theme(val value: kotlin.String) {
        @Json(name = "blue") blue("blue"),
        @Json(name = "blue2") blue2("blue2"),
        @Json(name = "blue3") blue3("blue3"),
        @Json(name = "blue-marble") blueMinusMarble("blue-marble"),
        @Json(name = "canvas") canvas("canvas"),
        @Json(name = "wood") wood("wood"),
        @Json(name = "wood2") wood2("wood2"),
        @Json(name = "wood3") wood3("wood3"),
        @Json(name = "wood4") wood4("wood4"),
        @Json(name = "maple") maple("maple"),
        @Json(name = "maple2") maple2("maple2"),
        @Json(name = "brown") brown("brown"),
        @Json(name = "leather") leather("leather"),
        @Json(name = "green") green("green"),
        @Json(name = "marble") marble("marble"),
        @Json(name = "green-plastic") greenMinusPlastic("green-plastic"),
        @Json(name = "grey") grey("grey"),
        @Json(name = "metal") metal("metal"),
        @Json(name = "olive") olive("olive"),
        @Json(name = "newspaper") newspaper("newspaper"),
        @Json(name = "purple") purple("purple"),
        @Json(name = "purple-diag") purpleMinusDiag("purple-diag"),
        @Json(name = "pink") pink("pink"),
        @Json(name = "ic") ic("ic");
    }
    /**
     * 
     *
     * Values: cburnett,merida,alpha,pirouetti,chessnut,chess7,reillycraig,`companion`,riohacha,kosal,leipzig,fantasy,spatial,california,pixel,maestro,fresca,cardinal,gioco,tatiana,staunty,governor,dubrovny,icpieces,shapes,letter
     */
    enum class PieceSet(val value: kotlin.String) {
        @Json(name = "cburnett") cburnett("cburnett"),
        @Json(name = "merida") merida("merida"),
        @Json(name = "alpha") alpha("alpha"),
        @Json(name = "pirouetti") pirouetti("pirouetti"),
        @Json(name = "chessnut") chessnut("chessnut"),
        @Json(name = "chess7") chess7("chess7"),
        @Json(name = "reillycraig") reillycraig("reillycraig"),
        @Json(name = "companion") `companion`("companion"),
        @Json(name = "riohacha") riohacha("riohacha"),
        @Json(name = "kosal") kosal("kosal"),
        @Json(name = "leipzig") leipzig("leipzig"),
        @Json(name = "fantasy") fantasy("fantasy"),
        @Json(name = "spatial") spatial("spatial"),
        @Json(name = "california") california("california"),
        @Json(name = "pixel") pixel("pixel"),
        @Json(name = "maestro") maestro("maestro"),
        @Json(name = "fresca") fresca("fresca"),
        @Json(name = "cardinal") cardinal("cardinal"),
        @Json(name = "gioco") gioco("gioco"),
        @Json(name = "tatiana") tatiana("tatiana"),
        @Json(name = "staunty") staunty("staunty"),
        @Json(name = "governor") governor("governor"),
        @Json(name = "dubrovny") dubrovny("dubrovny"),
        @Json(name = "icpieces") icpieces("icpieces"),
        @Json(name = "shapes") shapes("shapes"),
        @Json(name = "letter") letter("letter");
    }
    /**
     * 
     *
     * Values: blackMinusWhiteMinusAluminium,brushedMinusAluminium,chinaMinusBlue,chinaMinusGreen,chinaMinusGrey,chinaMinusScarlet,classicMinusBlue,goldMinusSilver,lightMinusWood,powerMinusCoated,rosewood,marble,wax,jade,woodi
     */
    enum class Theme3d(val value: kotlin.String) {
        @Json(name = "Black-White-Aluminium") blackMinusWhiteMinusAluminium("Black-White-Aluminium"),
        @Json(name = "Brushed-Aluminium") brushedMinusAluminium("Brushed-Aluminium"),
        @Json(name = "China-Blue") chinaMinusBlue("China-Blue"),
        @Json(name = "China-Green") chinaMinusGreen("China-Green"),
        @Json(name = "China-Grey") chinaMinusGrey("China-Grey"),
        @Json(name = "China-Scarlet") chinaMinusScarlet("China-Scarlet"),
        @Json(name = "Classic-Blue") classicMinusBlue("Classic-Blue"),
        @Json(name = "Gold-Silver") goldMinusSilver("Gold-Silver"),
        @Json(name = "Light-Wood") lightMinusWood("Light-Wood"),
        @Json(name = "Power-Coated") powerMinusCoated("Power-Coated"),
        @Json(name = "Rosewood") rosewood("Rosewood"),
        @Json(name = "Marble") marble("Marble"),
        @Json(name = "Wax") wax("Wax"),
        @Json(name = "Jade") jade("Jade"),
        @Json(name = "Woodi") woodi("Woodi");
    }
    /**
     * 
     *
     * Values: basic,wood,metal,redVBlue,modernJade,modernWood,glass,trimmed,experimental,staunton,cubesAndPi
     */
    enum class PieceSet3d(val value: kotlin.String) {
        @Json(name = "Basic") basic("Basic"),
        @Json(name = "Wood") wood("Wood"),
        @Json(name = "Metal") metal("Metal"),
        @Json(name = "RedVBlue") redVBlue("RedVBlue"),
        @Json(name = "ModernJade") modernJade("ModernJade"),
        @Json(name = "ModernWood") modernWood("ModernWood"),
        @Json(name = "Glass") glass("Glass"),
        @Json(name = "Trimmed") trimmed("Trimmed"),
        @Json(name = "Experimental") experimental("Experimental"),
        @Json(name = "Staunton") staunton("Staunton"),
        @Json(name = "CubesAndPi") cubesAndPi("CubesAndPi");
    }
    /**
     * 
     *
     * Values: silent,standard,piano,nes,sfx,futuristic,robot,music,speech
     */
    enum class SoundSet(val value: kotlin.String) {
        @Json(name = "silent") silent("silent"),
        @Json(name = "standard") standard("standard"),
        @Json(name = "piano") piano("piano"),
        @Json(name = "nes") nes("nes"),
        @Json(name = "sfx") sfx("sfx"),
        @Json(name = "futuristic") futuristic("futuristic"),
        @Json(name = "robot") robot("robot"),
        @Json(name = "music") music("music"),
        @Json(name = "speech") speech("speech");
    }
}

